### Method

# Camel LocalSettings set_path

since: 3.4

#### Declaration [src]

    void
    camel_local_settings_set_path (
      CamelLocalSettings* settings,
      const gchar* path
    )

#### Description [src]

Sets the file path to the root of the local mail store. Any trailing directory separator characters will be stripped off of the `CamelLocalSettings:path` property.

Available since: 3.4

Sets property | `Camel.LocalSettings:path`

#### Parameters

`path`

  Type: `const gchar*`

  The file path to the local store.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.